Package org.opensaml.soap.wspolicy.impl

# Class OperatorContentTypeMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.soap.wspolicy.impl.AbstractWSPolicyObjectMarshaller
org.opensaml.soap.wspolicy.impl.OperatorContentTypeMarshaller

All Implemented Interfaces:
  `Marshaller`

Direct Known Subclasses:
  `AllMarshaller`, `ExactlyOneMarshaller`, `PolicyMarshaller`

public class OperatorContentTypeMarshaller extends AbstractWSPolicyObjectMarshaller
Marshaller for the wsp:OperatorContentType element.

## Constructor Summary

Constructors
Constructor
Description
`OperatorContentTypeMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.soap.wspolicy.impl.AbstractWSPolicyObjectMarshaller

`marshallAttributes, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OperatorContentTypeMarshaller

public OperatorContentTypeMarshaller()